-- Indexed by Deed ID
_CONFLICTING_QUESTS = {
    -- Skirmish / Skirmish Instances / Siege of Gondamon
    -- [1879157752]: Quest name is The Siege of Gondamon, no issue in English

    -- Skirmish / Skirmish Instances / Trouble in Tuckborough
    [1879158107] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Trouble in Tuckborough";
            ["DE"] = "Scharmützel / Ärger in Buckelstadt";
            ["FR"] = "Escarmouche / Troubles à Bourg de Touque";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "The half-orc leading the assault has fallen. The remaining brigands and goblins are scattering. The Great Smials are safe"; 
            ["DE"] = "Der Halbork, der den Angriff anführte, ist gefallen. Die verbleibenden Räuber und Bilwisse zerstreuen sich. Die Groß-Smials sind sicher.";
            ["FR"] = "Le semi-Orque menant l'assaut est mort. Les brigands et les gobelins encore en vie se dispersent. Les Grands Smials sont sauvés.";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Storm on Methedras
    [1879226092] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Storm on Methedras";
            ["DE"] = "Scharmützel / Der Sturm auf Methedras";
            ["FR"] = "Escarmouche / Orage sur Methedras";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "Gwyllion and Echrud have been defeated, leaving the Old Woman's threat to Rohan empty";
            ["DE"] = "Ihr habt Gwyllion, die alte Frau des Berges, besiegt.";
            ["FR"] = "Vous avez vaincu Gwyllion, la Vieille femme de la montagne";
        };
        ["ISDELAYED"] = true; -- Quest finishes after talking with Saeradan and receiving reward.
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Stand at Amon Sûl
    [1879159790] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Stand at Amon Sûl";
            ["DE"] = "Scharmützel / Das Gefecht am Amon Sûl";
            ["FR"] = "Escarmouche / La défense d'Amon Sûl";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "The Cargûl has been vanquished, and Candaith has survived to carry word to Rivendell";
            ["DE"] = "Der Cargûl wurde besiegt und Candaith hat überlebt, um in Bruchtal Bericht zu erstatten.";
            ["FR"] = "Le Cargûl a été vaincu et Candaith a survécu. C'est lui qui ira annoncer la nouvelle à Fondcombe.";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Thievery and Mischief
    [1879162619] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Thievery and Mischief";
            ["DE"] = "Scharmützel / Dieberei und Unheil";
            ["FR"] = "Escarmouche / Vols et méfaits";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "You have reclaimed Town Hall and freed the south of Bree.";
            ["DE"] = "Ihr habt das Rathaus zurückerobert und den Süden von Bree befreit.";
            ["FR"] = "Vous avez repris l'Hôtel de ville et libéré le sud de Bree.";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Attack at Dawn
    [1879209658] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Attack at Dawn";
            ["DE"] = "Scharmützel / Angriff bei Morgengrauen";
            ["FR"] = "Escarmouche / Attaque à l'aube";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "Defeated Graug and secured the knowledge of Esteldín's location";
            ["DE"] = "Besiegt Graug und sichert die Informationen über Esteldíns Lage.";
            ["FR"] = "Graug éliminé et emplacement d'Esteldin obtenu";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Defence of the Prancing Pony
    [1879162646] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Defence of the Prancing Pony";
            ["DE"] = "Scharmützel / Die Verteidigung des 'Tänzelnden Ponys'";
            ["FR"] = "Escarmouche / La défense du Poney Fringant";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "Goilag has been defeated. Bree is safe";
            ["DE"] = "Goilag wurde besiegt. Bree ist wieder in Sicherheit.";
            ["FR"] = "Goilag a été vaincu. Bree est sauvée";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Ford of Bruinen
    -- [1879159240]: Quest name is The Ford of Bruinen, no issue in English

    -- Skirmish / Skirmish Instances / The Icy Crevasse
    [1879208174] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / The Icy Crevasse";
            ["DE"] = "Scharmützel / Die Eisige Kluft";
            ["FR"] = "Escarmouche / La Crevasse glacée";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "Angmar's plan has been foiled. Evendim is safe, for now.";
            ["DE"] = "Angmars Plan wurde durchkreuzt. Evendim ist erst einmal in Sicherheit.";
            ["FR"] = "Les plans de l'Angmar ont été contrecarrés. Evendim est en sécurité, pour le moment du moins.";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / The Battle of the Deep-way
    -- [1879202440]: Quest name is Battle of the Deep-way, no issue in English

    -- Skirmish / Skirmish Instances / The Battle of the Way of Smiths
    -- [1879202441]: Quest name is Battle of the Way of Smiths, no issue in English

    -- Skirmish / Skirmish Instances / The Battle of the Twenty-first Hall
    -- [1879202439]: Quest name is Battle of the Twenty-first Hall, no issue in English

    -- Skirmish / Skirmish Instances / Strike Against Dannenglor
    [1879173661] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Strike Against Dannenglor";
            ["DE"] = "Scharmützel / Der Schlag gegen Dannenglor";
            ["FR"] = "Escarmouche / Attaque contre Dannenglor";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "The sorcerer and the threat from Dannenglor have been defeated. Audaghaim and the Golden Host are safe";
            ["DE"] = "Der Zauberer und die Bedrohung von Dannenglor wurden besiegt. Audaghaim und das Goldene Heer sind sicher.";
            ["FR"] = "Le sorcier et la menace de Dannenglor ont été vaincus. Audaghaim et l'Armée d'Or sont sains et saufs.";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Protectors of Thangúlhad
    [1879173662] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Protectors of Thangúlhad";
            ["DE"] = "Scharmützel / Beschützer von Thangúlhad";
            ["FR"] = "Escarmouche / Protecteurs de Thangulhad";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "Mazaukal has been defeated. Thangúlhad is safe";
            ["DE"] = "Mazaukal wurde besiegt. Thangúlhad ist sicher.";
            ["FR"] = "Vous avez vaincu Mazaukal. Thangulhad est sécurisé.";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Breaching the Necromancer's Gate
    [1879163850] = {
        ["ISREPEATABLE"] = true; 
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Breaching the Necromancer's Gate";
            ["DE"] = "Scharmützel / Am Tor des Geisterbeschwörers";
            ["FR"] = "Escarmouche / Forcer la Porte du Nécromancien";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "The Necromancer's Gate has fallen. The heart of Dol Guldur is open for assault";
            ["DE"] = "Das Tor des Geisterbeschwörers ist gefallen. Nun kann das Herz Dol Guldurs angegriffen werden.";
            ["FR"] = "La Porte du Nécromancien est tombée. Il est désormais possible d'attaquer le cœur de Dol Guldur";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Assault on the Ringwraiths' Lair
    [1879175326] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Assault on the Ringwraiths' Lair";
            ["DE"] = "Scharmützel / Das Versteck der Ringgeister";
            ["FR"] = "Escarmouche / A l'assaut de l'antre des Spectres de l'Anneau";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "You have claimed the Ringwraiths' Lair. The heart of Dol Guldur is now exposed";
            ["DE"] = "Ihr habt das Versteck der Ringgeister erobert. Das Herz von Dol Guldur liegt nun offen.";
            ["FR"] = "Vous avez conquis l'antre des Spectres de l'Anneau. Le cœur de Dol Guldur est désormais accessible.";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / The Battle in the Tower
    [1879173664] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / The Battle in the Tower";
            ["DE"] = "Scharmützel / Der Kampf im Turm";
            ["FR"] = "Escarmouche / La bataille de la tour";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "You have claimed the Armoury and recovered Zigilburk";
            ["DE"] = "Ihr habt die Waffenkammer erobert und Zigilburk zurückgeholt.";
            ["FR"] = "Vous avez pris l'armurerie et récupéré Zigilburk";
        };
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Rescue in Nûrz Ghâshu
    [1879182644] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Rescue in Nûrz Ghâshu";
            ["DE"] = "Scharmützel / Rettung in Nûrz Ghâshu";
            ["FR"] = "Escarmouche / Sauvetage à Nûrz Ghâshu";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "Erebún has been defeated and Golodir has been freed";
            ["DE"] = "Erebún wurde besiegt und Golodir wurde befreit";
            ["FR"] = "Erebun a été vaincu et Golodir a été libéré";
        };
        ["ISDELAYED"] = true; -- Quest finishes after talking with Corunir / Golodir
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / The Perfect Picnic
    -- TBD: Check quest announcement text
    -- TBD: Check if quest is delayed
    [1879367049] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / The Perfect Picnic";
            ["DE"] = "Scharmützel / Das perfekte Picknick";
            ["FR"] = "Escarmouche / Un pique-nique idéal";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "The picnic has been saved. The rain even cooled things down!";
            ["DE"] = "Das Picknick ist gerettet. Der Regen hat sogar für eine angenehme Abkühlung gesorgt!";
            ["FR"] = "Le pique-nique est sauvé. La pluie a même rafraîchi un peu l'atmosphère !";
        };
        ["ISDELAYED"] = true; -- Quest finishes after eating food
        ["IS_SKIRMISH"] = true;
    };

    -- Skirmish / Skirmish Instances / Doom of Caras Gelebren:
    [1879453347] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Skirmish / Doom of Caras Gelebren";
            ["DE"] = "Scharmützel / Der Untergang von Caras Gelebren";
            ["FR"] = "Escarmouche / Le destin funeste de Caras Gelebren";
        };
        ["ANNOUNCE"] = {
            ["EN"] = "The Enemy's champion has been defeated!";
            ["DE"] = "Der Waffenmeister des Feindes wurde bezwungen!";
            ["FR"] = "Le champion de l'Ennemi a été vaincu !";
        };
        ["ISDELAYED"] = true; -- Quest completion is the first Quest chat item after this announcement, but there is about two minutes of NPC talking in between.
        ["IS_SKIRMISH"] = true;
    };

    -- Instances / Shadows of Angmar / Facing Your Fears
    --[1879201687]: Same objectives, so no entry needed.                

    -- Instances / Mines of Moria / Eyes of the Enemy
    [1879147022] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The Trollshaws / Quest:Eyes of the Enemy (Repeatable)\n    (Defeat 6 hendrevail in the Bruinen Gorges)";
            ["DE"] = "Eriador / Trollhöhen / Die Augen des Feindes (wiederholbar)";
            ["FR"] = "Eriador / Trouée des Trolls / Les yeux de l'Ennemi -- Rejouable";
        };
    };

    -- Instances / Tower of Dol Guldur / Leave No One Behind
    [1879163179] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Mordor / Minas Morgul / Quest:Leave No One Behind\n    (You have escaped from the Halls of Black Lore, but without Faeron. You must find him and discover if it was indeed Viznak you heard inside.)";
            ["DE"] = "Mordor / Imlad Morgul / Lasst keinen zurück";
            ["FR"] = "Mordor / Imlad Morgul / Ne laissez personne derrière vous";
        };
    };

    -- Instances / Ashes of Osgiliath / The Lord of Pinions
    --[1879324364]: Same objectives, so no entry needed.

    -- Instances / The Grey Mountains / Lost Lore of the Dwarf-holds: Thikil-gundu
    --[1879370350]: Same objectives, so no entry needed.


    -- The War / Osgiliath / The Battle for Osgiliath
    [1879326392] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "The War / The Sundering of Osgiliath / Quest:The Battle for Osgiliath\n    (Speak with Cangoras, Edenos, and Arthon)";
            ["DE"] = "Der Krieg / Osgiliath / Die Schlacht um Osgiliath";
            ["FR"] = "Guerre / Osgiliath / La bataille d'Osgiliath";
        };
    };

    -- Class/Race/Epic / Class / Time of Need
    [1879277369] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / Evendim / Quest:Time of Need\n    (Collect 6 supplies from hidden stores and brind them to Dannasssel)";
            ["DE"] = "Eriador / Evendim / Große Verzweiflung";
            ["FR"] = "Eriador / Evendim / Nécessité fait loi";
        };
    };

    -- Class/Race/Epic / Class / Tools of the Trade
    [1879277293] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Gondor / Western Gondor: Belfalas / Quest:Tools of the Trade (Repeatable)\n    (Recover 8 tools)";
            ["DE"] = "Gondor / West-Gondor / Das Handwerkszeug (wiederholbar)";
            ["FR"] = "Gondor / Ouest du Gondor / Outils professionnels -- Rejouable";
        };
    };

    -- Class/Race/Epic / Class / The Best Defence
    [1879060151] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Rohan / Entwash Vale / Quest:The Best Defence\n    (Assist Lord Ingmar or Lady Góda)";
            ["DE"] = "Rhovanion / Ost-Rohan / Die beste Verteidigung";
            ["FR"] = "Rhovanion / Rohan Est / La Meilleure défense";
        };
    };

    -- Class/Race/Epic / Class / A Shot in the Dark
    [1879052485] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eridor / Gap of Rohan / Quest:A Shot in the Dark\n    (Complete Instance: Shot in the Dark, and Talk to Ardwyn at Forthbrond)";
            ["DE"] = "Eridor / Dunland / Ein Schuss ins Blaue";
            ["FR"] = "Eridor / Pays de Dun / Flèches dans les ténèbres";
        };
    };

    -- Class/Race/Epic / Race & Social / Baggins' Birthday
    [1879283004] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Festival / Quest:Baggins' Birthday (Repeatable)\n    (Speak to Frodo Baggins in the Last Homely House in Rivendell)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Class/Race/Epic / Race & Social / The Haunted Burrow
    [1879191253] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Festival / Quest:The Haunted Burrow (Repeatable)\n    (Talk to Lobelia inside the Haunted Burrow, Talk to Opal Goodbody to discuss the fate of the Haunted Burrow)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Class/Race/Epic / Epic / Discovering the Descendant
    [1879234462] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / Bree-land / Quest:Discovering the Descendant\n    (Complete the Instance: Discovering the Descendant, Talk to Éogar in the Horsefields)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / Lone-lands / Warg-slayer
    [1879071724] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The North Downs / Quest:Warg-slayer\n    (Defeat 8 wargs for Dagoras)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / North Downs / Warg-slayer
    [1879071734] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The North Downs / Quest:Warg-slayer\n    (Defeat 8 wargs for Dagoras)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / Misty Mountains / Warg-slayer
    [1879071782] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The North Downs / Quest:Warg-slayer\n    (Defeat 8 wargs for Dagoras)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / Angmar / The Circle of Despair
    [1879085025] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Mordor / Minas Morgul / Quest:The Circle of Dispair\n    (Aid Dornach in securing the Circle of Despair, and Talk to Candúr in Barad Arthir)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / Angmar / The Seven Swords
    --[1879103870]: Deed completes before quest can be taken. No entry needed.

    -- Eridaor / Angmar / Warg-slayer
    [1879071768] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The North Downs / Quest:Warg-slayer\n    (Defeat 8 wargs for Dagoras)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / Forochel / The Lost Fellowship
    [1879110246] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / Angmar / Quest:The Lost Fellowship\n    (Helegdir has asked for your help in ensuring the safety of a group of individuals known as the Lost Fellowship.)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / Enedwaith / Little Wonders (Save index)
    [1879190838] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / Enedwaith / Quest:Little Wonders\n    (Talk to a Ranger at Echad Idhrenfair about a small item you found.)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Eridaor / Dunland / Warg-slayer
    [1879220076] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The North Downs / Quest:Warg-slayer\n    (Defeat 8 wargs for Dagoras)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Rhovanion / Moria / Warg-slayer
    [1879141058] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The North Downs / Quest:Warg-slayer\n    (Defeat 8 wargs for Dagoras)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Rhovanion / Southern Mirkwood / Warg-slayer
    [1879155766] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Eriador / The North Downs / Quest:Warg-slayer\n    (Defeat 8 wargs for Dagoras)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Rhovanion / Eastern Rohan / Aiding the Eastemnet
    [1879248360] = {
        ["ISREPEATABLE"] = true;
        ["QUESTNAME"] = {
            ["EN"] = "Rohan / Eastern Rohan / Quest:Aiding the Eastemnet\n    (Complete 5 quests from Aiding-specific quest givers in Harwick, Cliving, Eaworth, and Snowbourn.)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Rhovanion / Wildermore / Farms of the Fallows
    [1879265473] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Rohan / Wildermore / Quest:Farms of the Fallows\n    (Find Thrymm's Farm near Forlaw, Find 3 survivors, and Find Oter)";
            --["DE"] = "";
            --["FR"] = "";
        };
    };

    -- Rhovanion / The Dwarf-holds / The Howling Pit
    -- [1879381425] = {
    -- Quest requires completing the challenge, so deed should already be done
    --    ["ISREPEATABLE"] = false;
    --    ["QUESTNAME"] = { ["EN"] = "Rhovanian / Dwarf-holds: The Ironfold / Quest:The Howling Pit\n    (Complete Challenge: The Howling Pit)"; };
    --};

    -- Rhovanion / Vales of Anduin / Protectors of the Wilderfolk
    [1879387431] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Rohan / The Vales of Anduin / Quest:Protectors of the Wilderfolk\n    (Talk to Ragnild, Audvak, and Hithril in Hultvís)";
            ["DE"] = "";
            ["FR"] = "";
        };
    };

    -- Gondor / Far Anórien / After the Battle
    [1879334733] = {
        ["ISREPEATABLE"] = false;
        ["QUESTNAME"] = {
            ["EN"] = "Gondor / Far Anórien / Quest:After the Battle\n    (Talk to Imrahil after the Battle of the Pelennor Fields)";
            ["DE"] = "";
            ["FR"] = "";
        };
    };

};

function GetConflictingQuestName(deedID)
    local name = GetString(_CONFLICTING_QUESTS[deedID].QUESTNAME);
    return name;
end

function GetConflictingQuestAnnounce(deedID)
    local text = GetString(_CONFLICTING_QUESTS[deedID].ANNOUNCE);
    return text;
end

function DoesDeedQuestExist(deedID)
    local questExists = _CONFLICTING_QUESTS[deedID] ~= nil;
    return questExists;
end

function DoesDeedHaveConflictingQuest(deedID)
    local questExists = DoesDeedQuestExist(deedID);

    local isRepeatable = false;
    if (questExists) then isRepeatable = _CONFLICTING_QUESTS[deedID].ISREPEATABLE; end

    local questCompleted = GetConflictingQuestComplete(deedID);

    if (questExists and (isRepeatable or not questCompleted)) then
        return true;
    else
        return false;
    end
end

function WasThereAnnouncementOfConflictingQuest(deedID)
    local questExists = DoesDeedQuestExist(deedID);

    local isAnnounced = false;
    local isDelayed = false;
    if (questExists) then 
        local announceText = GetConflictingQuestAnnounce(deedID);
        if (announceText ~= nil and announceText ~= "") then
            local previousMatch = string.find(PREVIOUS_QUEST_CHAT, announceText, 1, true);
            isAnnounced = previousMatch ~= nil;
        end

        if (_CONFLICTING_QUESTS[deedID].ISDELAYED and
            DELAYED_SKIRMISH_COMPLETION_CHAT ~= nil) then

            Debug(string.format("Deed %d is delayed: %d", deedID, DELAYED_SKIRMISH_COMPLETION_CHAT));

            isDelayed = true;
        end
    end

    Debug("Checking announcement of conflicting quest... announced: " .. tostring(isAnnounced) .. ", delayed: " .. tostring(isDelayed));

    return isAnnounced or isDelayed;
end

-- A specific issue for Skirmish Instance quests / deeds:
function CheckForDelayedText(message)
    for k,v in pairs(_CONFLICTING_QUESTS) do
        if (v.IS_SKIRMISH and v.ISDELAYED) then
            local announceText = GetString(v.ANNOUNCE);
            local findResult = string.find(message, announceText, 1, true);

            if (findResult ~= nil) then
                DELAYED_SKIRMISH_COMPLETION_CHAT = findResult;
                if (DELAYED_SKIRMISH_COMPLETION_CHAT ~= nil) then
                    Debug("Found delayed skirmish completion text: " .. DELAYED_SKIRMISH_COMPLETION_CHAT);
                end
            end
        end
    end
end